PathwayAbstraction
Keywords: uk.ac.ic.doc.automed.reps.PathwayAbstraction class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class PathwayAbstraction

    java.lang.Object
      uk.ac.ic.doc.automed.reps.Pathway
          uk.ac.ic.doc.automed.reps.PathwayAbstraction

All Implemented Interfaces:
  PersistentObject

    public class PathwayAbstraction

extends Pathway

PathwayAbstraction.java A sub-class of `#Pathway` which encapsulates only an abstraction of the transformation pathway from one schema to another. This abstraction is published to the directory service for the purpose of routing pathways

Author:
  Duc M Le dmle@doc.ic.ac.uk Created on 03 May 2006 Department of Computing, Imperial College

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.reps.Pathway
`trans, transStatus`

Constructor Summary
`protected` | `PathwayAbstraction(java.lang.String startSchema, Schema[] schemaArray)` Creates a new instance of PathwayAbstraction

Method Summary
`static java.util.List` | `findAllPathways(Schema schema1, Schema schema2)` Override parent's method to return a List of `PathwayAbstraction` objects instead
`PersistentKey` | `getKey()`
`java.util.Map` | `getPersistentAttributes()`

Methods inherited from class uk.ac.ic.doc.automed.reps.Pathway
`convertPathToTP, createPathway, findShortestPathway, findShortestPathway, get, getAssociatedModels, getLastExtSchema, getQualityMeasure, getSchemas, getTransformations, getWellformedErrorMsg, indexOf, isWellformed, size, toLaTeX, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PathwayAbstraction

    protected PathwayAbstraction(java.lang.String startSchema,
                                 Schema[] schemaArray)

  Creates a new instance of PathwayAbstraction

  Parameters:
    `startSchema` - the starting schema of the transformation pathway
    `ds` - the `DataSource` object representing the end schema
    `schemaArray` - the array of `Schema` objects forming the transformation pathway

Method Detail

### findAllPathways

    public static java.util.List findAllPathways(Schema schema1,
                                                 Schema schema2)
                                          throws IntegrityException,
                                                 NotFoundException

  Override parent's method to return a List of `PathwayAbstraction` objects instead

  Throws:
    `IntegrityException`
    `NotFoundException`

### getKey

    public PersistentKey getKey()

  Specified by:
    `getKey` in interface `PersistentObject`
  Overrides:
    `getKey` in class `Pathway`

### getPersistentAttributes

    public java.util.Map getPersistentAttributes()

  Specified by:
    `getPersistentAttributes` in interface `PersistentObject`
  Overrides:
    `getPersistentAttributes` in class `Pathway`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD